Subject: [alpine-devel] [PATCH 1/2] create new package for librsync

From: Jeremy Thomerson <[email-masked]>
Date: Thu, 21 Oct 2010 05:08:38 +0000

this package was created because I wanted rdiff-backup, and it
requires librsync
---
 testing/librsync/APKBUILD |   29 +++++++++++++++++++++++++++++
 1 files changed, 29 insertions(+), 0 deletions(-)
 create mode 100644 testing/librsync/APKBUILD

diff --git a/testing/librsync/APKBUILD b/testing/librsync/APKBUILD
new file mode 100644
index 0000000..965a274
--- /dev/null
+++ b/testing/librsync/APKBUILD
@@ -0,0 +1,29 @@
+# Contributor: Jeremy Thomerson <[email-masked]>
+# Maintainer: Jeremy Thomerson <[email-masked]>
+pkgname=librsync
+pkgver=0.9.7
+pkgrel=0
+pkgdesc="librsync implements the rolling-checksum algorithm of rsync"
+url="http://sourceforge.net/projects/librsync/"
+license="LGPL 2.1"
+depends=""
+makedepends=""
+install=
+subpackages="$pkgname-dev"
+source="http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+	cd "$_builddir"
+
+	./configure --prefix=/usr --mandir=/usr/share/man --enable-shared
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="24cdb6b78f45e0e83766903fd4f6bc84  librsync-0.9.7.tar.gz"
-- 
1.7.3.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Jeremy Thomerson <[email-masked]>
Date: Thu, 21 Oct 2010 05:08:39 +0000

---
 testing/rdiff-backup/APKBUILD |   26 ++++++++++++++++++++++++++
 1 files changed, 26 insertions(+), 0 deletions(-)
 create mode 100644 testing/rdiff-backup/APKBUILD

diff --git a/testing/rdiff-backup/APKBUILD b/testing/rdiff-backup/APKBUILD
new file mode 100644
index 0000000..6ffd197
--- /dev/null
+++ b/testing/rdiff-backup/APKBUILD
@@ -0,0 +1,26 @@
+# Contributor: Jeremy Thomerson <[email-masked]>
+# Maintainer: Jeremy Thomerson <[email-masked]>
+pkgname=rdiff-backup
+pkgver=1.2.8
+pkgrel=0
+pkgdesc="A backup utility that maintains extra reverse diffs so that files can be restored from previous backups."
+url="http://www.gnu.org/savannah-checkouts/non-gnu/rdiff-backup/"
+license="GPL"
+depends="python"
+makedepends="librsync-dev"
+subpackages="$pkgname-doc"
+source="http://savannah.nongnu.org/download/rdiff-backup/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+        cd "$_builddir"
+        python setup.py build || return 1
+}
+
+package() {
+        cd "$_builddir"
+        python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="1a94dc537fcf74d6a3a80bd27808e77b  rdiff-backup-1.2.8.tar.gz"
-- 
1.7.3.1

---